<?php

namespace ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Admin\Product\Sections\Qemu;

use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Admin\Product\Sections\TwiceColumnSection;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Interfaces\AdminArea;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\Fields\Switcher;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\Fields\Text;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\Fields\Textarea;

class CloudInitSection extends TwiceColumnSection implements AdminArea
{
    protected $id = 'cloudInitSection';
    protected $name = 'cloudInitSection';
    protected $title = 'cloudInitSection';
    private $sectionFields=[];


    protected function initFields()
    {
        //Enable Cloud-Init
        $field = new Switcher('customconfigoption[cloudInit]');
        $field->setDescription('tip');
        $field->setDefaultValue("on");
        $this->addField($field);
        //Default User
        $field = new Text('customconfigoption[ciuser]');
        $field->setDescription('tip');
        $this->addField($field);
        //cicustom
        $field = new Textarea('customconfigoption[cicustom]');
        $field->setDescription('tip');
        $this->addField($field);

    }

}
